[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetLogicalClientRect

Logical client area, can be bigger than the visible client area.

## Declaration

Source position: controls.pp line 1065

`protected function TControl.GetLogicalClientRect: TRect; virtual;`

## Description

A TScrollingWinControl has a logical client area, of which only a portion can be visible. The origin always is (0,0), regardless of an ScrollOffset.

## See also

TControl.BoundsRect |  | The TopLeft and BottomRight of the control in client coordinates.
TControl.ClientRect |  | The visible client area of the control.
TControl.GetScrolledClientRect |  | Get the visible part of the logical client area.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.